OpenTTD Source: AirportFTA Struct Reference

OpenTTD Source 15.3

Public Member Functions | Data Fields
AirportFTA Struct Reference

Internal structure used in openttd - Finite sTate mAchine --> FTA. More...

`#include <airport.h>`

## Public Member Functions
| AirportFTA (const AirportFTAbuildup &)

## Data Fields
std::unique_ptr< AirportFTA > | next
| possible extra movement choices from this position
AirportBlocks | blocks
| bitmap of blocks that could be reserved
uint8_t | position
| the position that an airplane is at
uint8_t | next_position
| next position from this position
uint8_t | heading
| heading (current orders), guiding an airplane to its target on an airport

## Detailed Description

Internal structure used in openttd - Finite sTate mAchine --> FTA.

Definition at line 148 of file airport.h.

## Constructor & Destructor Documentation

## ◆ AirportFTA()

AirportFTA::AirportFTA | ( | const AirportFTAbuildup & | buildup | ) |

Definition at line 153 of file airport.cpp.

## Field Documentation

## ◆ blocks

AirportBlocks AirportFTA::blocks

bitmap of blocks that could be reserved

Definition at line 152 of file airport.h.

Referenced by AirportFindFreeTerminal(), AirportHasBlock(), and AirportSetBlocks().

## ◆ heading

uint8_t AirportFTA::heading

heading (current orders), guiding an airplane to its target on an airport

Definition at line 155 of file airport.h.

Referenced by AirportFindFreeTerminal(), and AirportSetBlocks().

## ◆ next

std::unique_ptr<AirportFTA> AirportFTA::next

possible extra movement choices from this position

Definition at line 151 of file airport.h.

Referenced by AirportBuildAutomata(), AirportFindFreeTerminal(), and AirportSetBlocks().

## ◆ next_position

uint8_t AirportFTA::next_position

next position from this position

Definition at line 154 of file airport.h.

Referenced by AirportFindFreeTerminal(), AirportHasBlock(), and AirportSetBlocks().

## ◆ position

uint8_t AirportFTA::position

the position that an airplane is at

Definition at line 153 of file airport.h.

Referenced by AirportBuildAutomata(), AirportHasBlock(), and AirportSetBlocks().

The documentation for this struct was generated from the following files:

- src/airport.h
- src/airport.cpp